## 9base 2

=== Makefile ===
# 9base - awk basename cat cleanname echo grep rc sed seq sleep sort tee
#         test touch tr uniq from Plan 9

include config.mk

SUBDIRS  = lib9 yacc awk basename bc dc cat cleanname date echo grep mk \
		   rc sed seq sleep sort tee test touch tr uniq

all:
	@echo 9base build options:
	@echo "CFLAGS   = ${CFLAGS}"
	@echo "LDFLAGS  = ${LDFLAGS}"
	@echo "CC       = ${CC}"
	@chmod 755 yacc/9yacc
	@for i in ${SUBDIRS}; do cd $$i; ${MAKE} || exit; cd ..; done;

clean:
	@for i in ${SUBDIRS}; do cd $$i; ${MAKE} clean || exit; cd ..; done
	@echo cleaned 9base

install: all
	@for i in ${SUBDIRS}; do cd $$i; ${MAKE} install || exit; cd ..; done
	@echo installed 9base to ${DESTDIR}${PREFIX}

uninstall:
	@for i in ${SUBDIRS}; do cd $$i; ${MAKE} uninstall || exit; cd ..; done
	@echo uninstalled 9base

dist: clean
	@mkdir -p 9base-${VERSION}
	@cp -R Makefile README LICENSE std.mk yacc.mk config.mk ${SUBDIRS} 9base-${VERSION}
	@tar -cf 9base-${VERSION}.tar 9base-${VERSION}
	@gzip 9base-${VERSION}.tar
	@rm -rf 9base-${VERSION}
	@echo created distribution 9base-${VERSION}.tar.gz

=== basename/Makefile ===
# basename - basename unix port from plan9
# Depends on ../lib9

TARG      = basename

include ../std.mk

=== cat/Makefile ===
# cat - cat unix port from plan9
# Depends on ../lib9

TARG      = cat

include ../std.mk

=== cleanname/Makefile ===
# cleanname - cleanname unix port from plan9
# Depends on ../lib9

TARG      = cleanname

include ../std.mk

=== date/Makefile ===
# date - date unix port from plan9
# Depends on ../lib9

TARG      = date

include ../std.mk

=== dc/Makefile ===
# dc - dc unix port from plan9
# Depends on ../lib9

TARG      = dc

include ../std.mk

=== echo/Makefile ===
# echo - echo unix port from plan9
# Depends on ../lib9

TARG      = echo

include ../std.mk

=== lib9/Makefile ===
# lib9 - unix port from plan9 lib9

# this works in gnu make
SYSNAME:=${shell uname}
OBJTYPE:=${shell uname -m | sed 's;i.86;386;; s;/.*;;; s; ;;g'}

# this works in bsd make
SYSNAME!=uname
OBJTYPE!=uname -m | sed 's;i.86;386;; s;/.*;;; s; ;;g'

# the gnu rules will mess up bsd but not vice versa,
# hence the gnu rules come first.

include ../config.mk

LIB=lib9.a
TARG=lib9

# following objects are not compiled for several reasons
#	crypt.o
#	netcrypt.o
#	getcallerpc-$(OBJTYPE).o
#	convD2M.o
#	convM2D.o
#	convM2S.o
#	convS2M.o

OFILES=\
	fmt/dofmt.o\
	fmt/fltfmt.o\
	fmt/fmt.o\
	fmt/fmtfd.o\
	fmt/fmtfdflush.o\
	fmt/fmtlock.o\
	fmt/fmtprint.o\
	fmt/fmtquote.o\
	fmt/fmtrune.o\
	fmt/fmtstr.o\
	fmt/fmtvprint.o\
	fmt/fprint.o\
	fmt/nan64.o\
	fmt/print.o\
	fmt/runefmtstr.o\
	fmt/runeseprint.o\
	fmt/runesmprint.o\
	fmt/runesnprint.o\
	fmt/runesprint.o\
	fmt/runevseprint.o\
	fmt/runevsmprint.o\
	fmt/runevsnprint.o\
	fmt/seprint.o\
	fmt/smprint.o\
	fmt/snprint.o\
	fmt/sprint.o\
	fmt/strtod.o\
	fmt/vfprint.o\
	fmt/vseprint.o\
	fmt/vsmprint.o\
	fmt/vsnprint.o\
	fmt/charstod.o\
	fmt/pow10.o\
	utf/rune.o\
	utf/runestrcat.o\
	utf/runestrchr.o\
	utf/runestrcmp.o\
	utf/runestrcpy.o\
	utf/runestrdup.o\
	utf/runestrlen.o\
	utf/runestrecpy.o\
	utf/runestrncat.o\
	utf/runestrncmp.o\
	utf/runestrncpy.o\
	utf/runestrrchr.o\
	utf/runestrstr.o\
	utf/runetype.o\
	utf/utfecpy.o\
	utf/utflen.o\
	utf/utfnlen.o\
	utf/utfrrune.o\
	utf/utfrune.o\
	utf/utfutf.o\
	bio/bbuffered.o\
	bio/bfildes.o\
	bio/bflush.o\
	bio/bgetc.o\
	bio/bgetd.o\
	bio/bgetrune.o\
	bio/binit.o\
	bio/boffset.o\
	bio/bprint.o\
	bio/bputc.o\
	bio/bputrune.o\
	bio/brdline.o\
	bio/brdstr.o\
	bio/bread.o\
	bio/bseek.o\
	bio/bvprint.o\
	bio/bwrite.o\
	regex/regcomp.o\
	regex/regerror.o\
	regex/regexec.o\
	regex/regsub.o\
	regex/regaux.o\
	regex/rregexec.o\
	regex/rregsub.o\
	_exits.o\
	_p9dialparse.o\
	_p9dir.o\
	announce.o\
	argv0.o\
	atexit.o\
	atoi.o\
	atol.o\
	atoll.o\
	atnotify.o\
	await.o\
	cistrcmp.o\
	cistrncmp.o\
	cistrstr.o\
	cleanname.o\
	create.o\
	ctime.o\
	date.o\
	dial.o\
	dirfstat.o\
	dirfwstat.o\
	dirmodefmt.o\
	dirread.o\
	dirstat.o\
	dirwstat.o\
	dup.o\
	encodefmt.o\
	errstr.o\
	exec.o\
	execl.o\
	fcallfmt.o\
	get9root.o\
	getenv.o\
	getfields.o\
	getnetconn.o\
	getns.o\
	getuser.o\
	getwd.o\
	jmp.o\
	lrand.o\
	lnrand.o\
	main.o\
	malloc.o\
	malloctag.o\
	mallocz.o\
	nan.o\
	needsrcquote.o\
	needstack.o\
	netmkaddr.o\
	notify.o\
	nrand.o\
	nulldir.o\
	open.o\
	opentemp.o\
	pipe.o\
	post9p.o\
	postnote.o\
	qlock.o\
	quote.o\
	rand.o\
	read9pmsg.o\
	readcons.o\
	readn.o\
	rfork.o\
	searchpath.o\
	seek.o\
	sendfd.o\
	sleep.o\
	strdup.o\
	strecpy.o\
	sysfatal.o\
	syslog.o\
	sysname.o\
	time.o\
	tokenize.o\
	truerand.o\
	u16.o\
	u32.o\
	u64.o\
	unsharp.o\
	wait.o\
	waitpid.o\

all: ${LIB}
	@echo built lib9

install:
	@mkdir -p ${DESTDIR}${MANPREFIX}/man7
	@cp -f regexp.7 ${DESTDIR}${MANPREFIX}/man7
	@chmod 444 ${DESTDIR}${MANPREFIX}/man7/regexp.7

uninstall:
	rm -f ${DESTDIR}${MANPREFIX}/man7/regexp.7

${LIB}: ${OFILES}
	@echo AR ${TARG}
	@${AR} ${LIB} ${OFILES}

.c.o:
	@echo CC $*.c
	@${CC} -o $*.o ${CFLAGS} -I${PREFIX}/include $*.c

clean:
	rm -f ${OFILES} ${LIB}

=== mk/Makefile ===
# basename - basename unix port from plan9
# Depends on ../lib9

TARG	= mk
OFILES  = arc.o archive.o bufblock.o env.o file.o graph.o job.o\
		  lex.o main.o match.o mk.o parse.o recipe.o rc.o rule.o\
		  run.o sh.o shell.o shprint.o symtab.o var.o varsub.o\
		  word.o unix.o
MANFILES  = ${TARG}.1

include ../config.mk

all: ${TARG}
	@echo built ${TARG}

install: ${TARG}
	@mkdir -p ${DESTDIR}${PREFIX}/bin
	@cp -f ${TARG} ${DESTDIR}${PREFIX}/bin/
	@chmod 755 ${DESTDIR}${PREFIX}/bin/${TARG}
	@mkdir -p ${DESTDIR}${MANPREFIX}/man1
	@cp -f ${MANFILES} ${DESTDIR}${MANPREFIX}/man1
	@chmod 444 ${DESTDIR}${MANPREFIX}/man1/${MANFILES}

uninstall:
	rm -f ${DESTDIR}${PREFIX}/bin/${TARG}
	rm -f ${DESTDIR}${PREFIX}/man1/${MANFILES}

.c.o:
	@echo CC $*.c
	@${CC} ${CFLAGS} -I../lib9 -I${PREFIX}/include -I../lib9 $*.c

clean:
	rm -f ${OFILES} ${TARG}

${TARG}: ${OFILES}
	@echo LD ${TARG}
	@${CC} ${LDFLAGS} -o ${TARG} ${OFILES} -L${PREFIX}/lib -L../lib9 -l9

=== rc/Makefile ===
# rc - rc shell unix port from plan9
# Depends on ../lib9

TARG      = rc
OFILES    = code.o exec.o getflags.o glob.o here.o io.o lex.o \
            pcmd.o pfnc.o simple.o subr.o trap.o tree.o unixcrap.o \
            var.o y.tab.o plan9ish.o
YFILES    = syn.y
MANFILES  = rc.1

include ../config.mk

# Solaris
#LDFLAGS   += -dy -lxnet

all:
	@if [ ! -f y.tab.c ]; then \
	make -f Makefile depend;\
	fi
	@make -f Makefile ${TARG}
	@echo built ${TARG}

depend:
	@echo YACC ${YFILES}
	@${YACC} -d ${YFILES}

install: ${TARG}
	@mkdir -p ${DESTDIR}${PREFIX}/bin
	@cp -f ${TARG} ${DESTDIR}${PREFIX}/bin/
	@chmod 755 ${DESTDIR}${PREFIX}/bin/${TARG}
	@mkdir -p ${DESTDIR}${MANPREFIX}/man1
	@cp -f ${MANFILES} ${DESTDIR}${MANPREFIX}/man1
	@chmod 444 ${DESTDIR}${MANPREFIX}/man1/${MANFILES}
	@mkdir -p ${DESTDIR}${PREFIX}/etc
	@cp -f rcmain ${DESTDIR}${PREFIX}/etc
	@chmod 755 ${DESTDIR}${PREFIX}/etc/rcmain

uninstall:
	rm -f ${DESTDIR}${PREFIX}/bin/${TARG}
	rm -f ${DESTDIR}${PREFIX}/man1/${MANFILES}
	rm -f ${DESTDIR}${PREFIX}/etc/rcmain

.c.o:
	@echo CC $*.c
	@${CC} ${CFLAGS} -I../lib9 -I${PREFIX}/include -I../lib9 $*.c

clean:
	rm -f ${OFILES} ${TARG} y.tab.c y.tab.h

${TARG}: ${OFILES}
	@echo LD ${TARG}
	@${CC} ${LDFLAGS} -o ${TARG} ${OFILES} -lm -L${PREFIX}/lib -L../lib9 -l9

=== sed/Makefile ===
# sed - sed unix port from plan9
# Depends on ../lib9

TARG      = sed

include ../std.mk

=== seq/Makefile ===
# seq - seq unix port from plan9
# Depends on ../lib9

TARG      = seq

include ../std.mk

## 9base 2+20070601

=== Makefile ===
--- 
+++ 
@@ -3,8 +3,8 @@
 
 include config.mk
 
-SUBDIRS  = lib9 yacc awk basename bc dc cat cleanname date echo grep mk \
-		   rc sed seq sleep sort tee test touch tr uniq
+SUBDIRS  = lib9 yacc awk basename bc dc cat cleanname date echo grep ls \
+		   mk rc read sed seq sleep sort tee test touch tr uniq
 
 all:
 	@echo 9base build options:

=== lib9/Makefile ===
--- 
+++ 
@@ -19,7 +19,6 @@
 # following objects are not compiled for several reasons
 #	crypt.o
 #	netcrypt.o
-#	getcallerpc-$(OBJTYPE).o
 #	convD2M.o
 #	convM2D.o
 #	convM2S.o
@@ -134,6 +133,7 @@
 	exec.o\
 	execl.o\
 	fcallfmt.o\
+	getcallerpc-$(OBJTYPE).o\
 	get9root.o\
 	getenv.o\
 	getfields.o\

=== ls/Makefile ===
# ls - ls unix port from plan9
#
# Depends on ../lib9

TARG      = ls

include ../std.mk

=== read/Makefile ===
# read - read unix port from plan9
# Depends on ../lib9

TARG      = read

include ../std.mk

## 9base 4

=== Makefile ===
--- 
+++ 
@@ -1,10 +1,9 @@
-# 9base - awk basename cat cleanname echo grep rc sed seq sleep sort tee
-#         test touch tr uniq from Plan 9
+# 9base - Plan 9 userland for Unix
 
 include config.mk
 
-SUBDIRS  = lib9 yacc awk basename bc dc cat cleanname date echo grep ls \
-		   mk rc read sed seq sleep sort tee test touch tr uniq
+SUBDIRS  = lib9 yacc awk basename bc cal cat cleanname date dc du echo grep hoc ls \
+           mk rc read sed seq sleep sort tee test touch tr troff uniq
 
 all:
 	@echo 9base build options:
@@ -16,6 +15,7 @@
 
 clean:
 	@for i in ${SUBDIRS}; do cd $$i; ${MAKE} clean || exit; cd ..; done
+	@rm -f 9base-${VERSION}.tar.gz
 	@echo cleaned 9base
 
 install: all

=== lib9/Makefile ===
--- 
+++ 
@@ -1,15 +1,4 @@
 # lib9 - unix port from plan9 lib9
-
-# this works in gnu make
-SYSNAME:=${shell uname}
-OBJTYPE:=${shell uname -m | sed 's;i.86;386;; s;/.*;;; s; ;;g'}
-
-# this works in bsd make
-SYSNAME!=uname
-OBJTYPE!=uname -m | sed 's;i.86;386;; s;/.*;;; s; ;;g'
-
-# the gnu rules will mess up bsd but not vice versa,
-# hence the gnu rules come first.
 
 include ../config.mk
 
@@ -24,13 +13,19 @@
 #	convM2S.o
 #	convS2M.o
 
-OFILES=\
+NUM=\
+	fmt/charstod.o\
+	fmt/pow10.o\
+
+FMTOFILES=\
 	fmt/dofmt.o\
 	fmt/fltfmt.o\
 	fmt/fmt.o\
 	fmt/fmtfd.o\
 	fmt/fmtfdflush.o\
-	fmt/fmtlock.o\
+	fmt/fmtlocale.o\
+	fmtlock2.o\
+	fmt/fmtnull.o\
 	fmt/fmtprint.o\
 	fmt/fmtquote.o\
 	fmt/fmtrune.o\
@@ -56,8 +51,9 @@
 	fmt/vseprint.o\
 	fmt/vsmprint.o\
 	fmt/vsnprint.o\
-	fmt/charstod.o\
-	fmt/pow10.o\
+	$(NUM)\
+
+UTFOFILES=\
 	utf/rune.o\
 	utf/runestrcat.o\
 	utf/runestrchr.o\
@@ -78,12 +74,14 @@
 	utf/utfrrune.o\
 	utf/utfrune.o\
 	utf/utfutf.o\
+
+BIOFILES=\
 	bio/bbuffered.o\
 	bio/bfildes.o\
 	bio/bflush.o\
 	bio/bgetc.o\
+	bio/bgetrune.o\
 	bio/bgetd.o\
-	bio/bgetrune.o\
 	bio/binit.o\
 	bio/boffset.o\
 	bio/bprint.o\
@@ -95,6 +93,8 @@
 	bio/bseek.o\
 	bio/bvprint.o\
 	bio/bwrite.o\
+
+REGEXFILES=\
 	regex/regcomp.o\
 	regex/regerror.o\
 	regex/regexec.o\
@@ -102,6 +102,8 @@
 	regex/regaux.o\
 	regex/rregexec.o\
 	regex/rregsub.o\
+
+LIB9OFILES=\
 	_exits.o\
 	_p9dialparse.o\
 	_p9dir.o\
@@ -119,7 +121,6 @@
 	cleanname.o\
 	create.o\
 	ctime.o\
-	date.o\
 	dial.o\
 	dirfstat.o\
 	dirfwstat.o\
@@ -132,9 +133,10 @@
 	errstr.o\
 	exec.o\
 	execl.o\
+	exitcode.o\
 	fcallfmt.o\
+	get9root.o\
 	getcallerpc-$(OBJTYPE).o\
-	get9root.o\
 	getenv.o\
 	getfields.o\
 	getnetconn.o\
@@ -157,6 +159,7 @@
 	nulldir.o\
 	open.o\
 	opentemp.o\
+	pin.o\
 	pipe.o\
 	post9p.o\
 	postnote.o\
@@ -177,6 +180,7 @@
 	syslog.o\
 	sysname.o\
 	time.o\
+	tm2sec.o\
 	tokenize.o\
 	truerand.o\
 	u16.o\
@@ -185,17 +189,22 @@
 	unsharp.o\
 	wait.o\
 	waitpid.o\
+	write.o\
+	zoneinfo.o\
+
+OFILES=\
+	$(FMTOFILES)\
+	$(UTFOFILES)\
+	$(BIOFILES)\
+	$(REGEXFILES)\
+	$(LIB9OFILES)
 
 all: ${LIB}
 	@echo built lib9
 
 install:
-	@mkdir -p ${DESTDIR}${MANPREFIX}/man7
-	@cp -f regexp.7 ${DESTDIR}${MANPREFIX}/man7
-	@chmod 444 ${DESTDIR}${MANPREFIX}/man7/regexp.7
 
 uninstall:
-	rm -f ${DESTDIR}${MANPREFIX}/man7/regexp.7
 
 ${LIB}: ${OFILES}
 	@echo AR ${TARG}

=== rc/Makefile ===
--- 
+++ 
@@ -4,7 +4,7 @@
 TARG      = rc
 OFILES    = code.o exec.o getflags.o glob.o here.o io.o lex.o \
             pcmd.o pfnc.o simple.o subr.o trap.o tree.o unixcrap.o \
-            var.o y.tab.o plan9ish.o
+            var.o y.tab.o plan9ish.o havefork.o
 YFILES    = syn.y
 MANFILES  = rc.1
 
@@ -23,6 +23,7 @@
 depend:
 	@echo YACC ${YFILES}
 	@${YACC} -d ${YFILES}
+	@cp y.tab.h x.tab.h
 
 install: ${TARG}
 	@mkdir -p ${DESTDIR}${PREFIX}/bin

=== troff/Makefile ===
# mk - mk unix port from plan9
# Depends on ../lib9

TARG      = troff

OFILES    = n1.o n2.o n3.o n4.o n5.o t6.o n6.o n7.o n8.o n9.o t10.o\
            n10.o t11.o ni.o hytab.o suftab.o dwbinit.o mbwc.o
MANFILES  = troff.1
TROFFDIR  = ${PREFIX}/lib/troff

CFLAGS   += -DUNICODE -DTMACDIR=\"/tmac/tmac.\" -DTDEVNAME=\"utf\" -DFONTDIR=\"/font\" -DNTERMDIR=\"/term/tab.\" -DTEXHYPHENS=\"/hyphen.tex\" -DALTHYPHENS=\"/hyphen.tex\" -DDWBHOME=\"${TROFFDIR}/\"

include ../std.mk

pre-uninstall:
	@rm -rf ${DESTDIR}${TROFFDIR}

post-install:
	@mkdir -p ${DESTDIR}${TROFFDIR}
	@cp -r tmac ${DESTDIR}${TROFFDIR}
	@cp -r font ${DESTDIR}${TROFFDIR}
	@cp -r term ${DESTDIR}${TROFFDIR}
	@cp -r hyphen.tex ${DESTDIR}${TROFFDIR}

## 9base 6

=== Makefile ===
--- 
+++ 
@@ -2,8 +2,57 @@
 
 include config.mk
 
-SUBDIRS  = lib9 yacc awk basename bc cal cat cleanname date dc du echo grep hoc ls \
-           mk rc read sed seq sleep sort tee test touch tr troff uniq
+SUBDIRS  = lib9\
+	yacc\
+	ascii\
+	awk\
+	basename\
+	bc\
+	cal\
+	cat\
+	cleanname\
+	cmp\
+	date\
+	dc\
+	du\
+	dd\
+	diff\
+	echo\
+	ed\
+	factor\
+	fortune\
+	fmt\
+	freq\
+	getflags\
+	grep\
+	hoc\
+	join\
+	look\
+	ls\
+	mk\
+	mkdir\
+	mtime\
+	pbd\
+	primes\
+	rc\
+	read\
+	sam\
+	sha1sum\
+	sed\
+	seq\
+	sleep\
+	sort\
+	split\
+	strings\
+	tail\
+	tee\
+	test\
+	touch\
+	tr\
+	troff\
+	unicode\
+	uniq\
+	unutf\
 
 all:
 	@echo 9base build options:

=== ascii/Makefile ===
# ascii - ascii unix port from plan9
# Depends on ../lib9

TARG      = ascii

include ../std.mk

pre-uninstall:

post-install:

=== awk/Makefile ===
# awk - awk unix port from plan9
# Depends on ../lib9

TARG      = awk
OFILES	  = re.o lex.o main.o parse.o proctab.o tran.o lib.o run.o y.tab.o
YFILES	  = awkgram.y
MANFILES  = awk.1

include ../yacc.mk

=== basename/Makefile ===
--- 
+++ 
@@ -4,3 +4,7 @@
 TARG      = basename
 
 include ../std.mk
+
+pre-uninstall:
+
+post-install:

=== bc/Makefile ===
# bc - bc unix port from plan9
# Depends on ../lib9

TARG      = bc
OFILES	  = y.tab.o
YFILES	  = bc.y
MANFILES  = bc.1

include ../yacc.mk

# Solaris
#LDFLAGS += -dy -lxnet

=== cal/Makefile ===
# cal - cal unix port from plan9
# Depends on ../lib9

TARG      = cal

include ../std.mk

pre-uninstall:

post-install:

=== cat/Makefile ===
--- 
+++ 
@@ -4,3 +4,7 @@
 TARG      = cat
 
 include ../std.mk
+
+pre-uninstall:
+
+post-install:

=== cleanname/Makefile ===
--- 
+++ 
@@ -4,3 +4,7 @@
 TARG      = cleanname
 
 include ../std.mk
+
+pre-uninstall:
+
+post-install:

=== cmp/Makefile ===
# cmp - cmp unix port from plan9
# Depends on ../lib9

TARG      = cmp

include ../std.mk

pre-uninstall:

post-install:

=== date/Makefile ===
--- 
+++ 
@@ -4,3 +4,7 @@
 TARG      = date
 
 include ../std.mk
+
+pre-uninstall:
+
+post-install:

=== dc/Makefile ===
--- 
+++ 
@@ -4,3 +4,7 @@
 TARG      = dc
 
 include ../std.mk
+
+pre-uninstall:
+
+post-install:

=== dd/Makefile ===
# dd - dd unix port from plan9
# Depends on ../lib9

TARG      = dd

include ../std.mk

pre-uninstall:

post-install:

=== debian/changelog ===
9base (1:6-15) unstable; urgency=medium

  * QA upload.
  * Build with -std=gnu17 to workaround FTBFS with GCC 15.
    (Closes: #1096267)

 -- Adrian Bunk <bunk@debian.org>  Fri, 19 Sep 2025 19:38:12 +0300

9base (1:6-14) unstable; urgency=medium

  * QA upload.
  * Fix building with -Werror=implicit-function-declaration.
    (Closes: #1066252)
  * Fix fopen() mode values for hurd, thanks to Ola Ekström. (Closes: #838198)
  * Update Lintian overrides.

 -- Andreas Beckmann <anbe@debian.org>  Fri, 05 Apr 2024 11:49:54 +0200

9base (1:6-13) unstable; urgency=medium

  * QA upload.
  * Update /etc/shells via dpkg triggers. Thanks Helmut Grohne
    (closes: #1023316)

 -- Bo YU <tsu.yubo@gmail.com>  Sat, 12 Nov 2022 21:48:16 +0800

9base (1:6-12) unstable; urgency=medium

  * QA upload.
  * Changed the system to rely on dh_strip, avoiding an upstream build system
    strip. Thanks to Helmut Grohne <helmut@subdivi.de>. Consequently:
      - debian/patches/0011-nostrip.patch: created to make adjustments in
        upstream source code.
      - debian/rules: added a STRIP variable.
      - Closes: #1003412
  * debian/control: bumped Standards-Version to 4.6.0.
  * debian/copyright: updated packaging copyright data.
  * debian/lintian-overrides: updated some overrides to be compliant with the
    most recent lintian.
  * debian/tests/control: removed tests using ampersand to run in background.
  * debian/upstream/metadata: created.

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Thu, 17 Mar 2022 17:15:01 -0300

9base (1:6-11) unstable; urgency=medium

  * QA upload.
  * Add upstream sha1sum patch (Closes: #983017)
  * bump policy version (no changes)

 -- Jochen Sprickerhof <jspricke@debian.org>  Sun, 28 Feb 2021 09:30:20 +0100

9base (1:6-10) unstable; urgency=medium

  * QA upload.
  * debian/control: migrated DH level to 13.
  * debian/rules: added DEB_CFLAGS_MAINT_APPEND variable as a workaround to fix
    a FTBFS with GCC-10. (Closes: #956971)

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Sat, 25 Jul 2020 21:06:24 -0300

9base (1:6-9) unstable; urgency=medium

  * QA upload.
  * Removed prefix '9base' from all file names in debian/.
  * debian/control:
      - Improved long description.
      - Removed the Suggests field because wmii2 is no longer in Debian since
        2011.
  * debian/copyright: reviewed and updated all rights for upstream source code
    and for packaging.
  * debian/lintian.overrides: updated to make it compliant with several issues.
  * debian/patches/:
      - 0008-rc-Default-to-a-traditional-prompt.patch: added a patch.
      - 0009-fix-non-verbose-build.patch: created to allow blhc analyze the
        build.
  * debian/README.Debian: added information about how use man command to read
    the manpages.
  * debian/tests/*: created to provide CI tests for all available commands.
  * debian/watch:
      - Bumped to version 4.
      - Improved the search rule.

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Thu, 02 Apr 2020 21:00:24 -0300

9base (1:6-8) unstable; urgency=medium

  * QA upload.

  [ Joao Eriberto Mota Filho ]
  * debian/control:
      - Bumped Standards-Version to 4.5.0.
      - Improved long description.
  * debian/salsa-ci.yml: added to provide CI tests for Salsa.

  [ Boyuan Yang ]
  * debian/control:
    + Bump debhelper compat to v12.

  [ Keller Fuchs ]
  * debian/control: Move packaging repository to salsa.d.o.
  * debian/copyright: Refresh information.
  * debian/: Add maintainer scripts for alternatives and /etc/shells.
  * debian/rules:
    + Enable hardening-related flags.
    + Rely on pkg-info.mk and standard variables.
    + Simplify find(1) call.
  * debian/9base.lintian-overrides: Update lintian overrides.

  [ Ryan Petersen ]
  * debian/patches/0008-rc-Default-to-a-traditional-prompt.patch:
    Reverted default prompt to the traditional percent-sign instead of
    a semicolon.

  [ Debian Janitor ]
  * Fix day-of-week for changelog entries 2-1.

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Mon, 30 Mar 2020 01:41:34 -0300

9base (1:6-7) unstable; urgency=medium

  * Orphaning the package.
  * Update the Vcs-* headers to point at collab-maint.
  * Update debian/copyright, to reflect my copyright assignment to SFC.
  * Bump Standards-Version to 3.9.6, no changes required.

 -- Gergely Nagy <algernon@madhouse-project.org>  Wed, 30 Sep 2015 12:51:45 +0200

9base (1:6-6) unstable; urgency=low

  * Add a watch file, thanks to Andy Simpkins <andy-debian@koipond.org.uk>
    (Closes: #695163)
  * Use F_SETFD instead of F_SETFL to set FD_CLOEXEC, patch from Guillem
    Jover <guillem@debian.org> (Closes: #696247)
  * Based on work by Sergey Romanov <schragge@gmail.com>:
    + Move troff data to /usr/share/9base/troff.
    + Various man page tweaks
    + Move to debhelper compat level 9.

 -- Gergely Nagy <algernon@madhouse-project.org>  Fri, 21 Dec 2012 14:50:06 +0100

9base (1:6-5) unstable; urgency=low

  * New maintainer (Closes: #647092).
  * Include 'strings' in the long description (Closes: #622177).
  * Remove empty manual pages: better no manpages than an empty one.
  * Fix the troff macros to look for include files at the right location.
  * Update README.Debian, to show how to display the plan9 man pages properly.

 -- Gergely Nagy <algernon@madhouse-project.org>  Thu, 15 Dec 2011 14:15:57 +0100

9base (1:6-4) unstable; urgency=low

  * New maintainer

 -- Kai Hendry <hendry@iki.fi>  Sun, 05 Dec 2010 15:51:57 +0000

9base (1:6-3) experimental; urgency=low

  * Updating package to debhelper 8.
  * Switching to source format 3.0 (quilt).
  * Updating variable handing in rules.

 -- Daniel Baumann <daniel@debian.org>  Sat, 13 Nov 2010 09:57:39 +0100

9base (1:6-2) experimental; urgency=low

  * Updating standards version to 3.9.0.
  * Updating to standards version 3.9.1.
  * Building on all architectures again, appears to build on ia64 again
    (Closes: #599952).
  * Removing suggest to 9mount.



=== debian/control ===
Source: 9base
Section: utils
Priority: optional
Build-Depends: debhelper-compat (= 13)
Maintainer: Debian QA Group <packages@qa.debian.org>
Standards-Version: 4.6.0
Rules-Requires-Root: no
Homepage: https://tools.suckless.org/9base/
Vcs-Git: https://salsa.debian.org/debian/9base.git
Vcs-Browser: https://salsa.debian.org/debian/9base

Package: 9base
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}, debianutils (>= 5.3-1~)
Description: Plan 9 userland tools
 9base is a port of following original Plan 9 userland tools to Unix:
 ascii, awk, basename, bc, cal, cat, cleanname, cmp, date, dc, dd, diff, du,
 echo, ed, factor, fmt, fortune, freq, getflags, grep, hoc, join, look, ls,
 mk, mkdir, mtime, pbd, primes, rc, read, sam, sed, seq, sha1sum, sleep, sort,
 split, strings, tail, tee, test, touch, tr, troff, unicode, uniq, unutf, yacc.
 .
 Plan 9 is a distributed Unix-like operational system created by Bell Labs in
 the mid-1980s.

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
include /usr/share/dpkg/pkg-info.mk

# Workaround for #956971
export DEB_CFLAGS_MAINT_APPEND = -fcommon -std=gnu17

SHELL  := sh -e
PKGDIR  = debian/$(DEB_SOURCE)
PREFIX  = /usr/lib/plan9
DATADIR = /usr/share
MANDIR  = $(DATADIR)/man
PKGDATA = $(DATADIR)/$(DEB_SOURCE)
TROFFDIR = $(PKGDATA)/troff
MANEXT  = plan9

CFLAGS += -c -I. -DPREFIX="\"$(PREFIX)\""

# CFLAGS for troff
CFLAGS += -DUNICODE -DDWBHOME="\"$(TROFFDIR)\"" -DNTERMDIR="\"/term/tab.\"" \
	  -DTEXHYPHENS="\"/hyphen.tex\"" -DALTHYPHENS="\"/hyphen.tex\"" \
	  -DFONTDIR="\"/font\"" -DTDEVNAME="\"utf\"" -DTMACDIR="\"/tmac/tmac.\""

%:
	dh ${@}

override_dh_auto_build:
	dh_auto_build -- \
		CFLAGS='$(CFLAGS) $(CPPFLAGS)' LDFLAGS='$(LDFLAGS)' \
		PREFIX=$(PREFIX) MANPREFIX=$(MANDIR) STRIP=true

override_dh_auto_install:
	dh_auto_install -- \
		PREFIX=$(PREFIX) MANPREFIX=$(MANDIR) TROFFDIR=$(TROFFDIR)

# delete unnecessary man pages
	rm -f $(PKGDIR)$(MANDIR)/man1/du.1   # almost empty
	rm -f $(PKGDIR)$(MANDIR)/man1/read.1 # identical to cat.1

# delete empty man pages
	find $(PKGDIR)$(MANDIR) -type f -empty -delete

# Patch man pages on the fly:
#  - Append plan9 to their extension & section
#  - .PD0 -> .PD 0 to make groff happy
	for MANPAGE in $(PKGDIR)$(MANDIR)/man*/*; do \
		sed -i \
			-e 's/^\.TH [^ ]* [1-8]/&$(MANEXT)/' \
			-e 's/^\.PD0/\.PD 0/' \
			$$MANPAGE; \
		mv $$MANPAGE $${MANPAGE}$(MANEXT); \
	done

	install -D -m644 debian/shells $(PKGDIR)$(DATADIR)/debianutils/shells.d/plan9

override_dh_fixperms:
	dh_fixperms

	chmod 0755 $(PKGDIR)$(TROFFDIR)/font/devutf/mkMAP
	chmod 0755 $(PKGDIR)$(TROFFDIR)/tmac/sendcover

=== debian/tests/control ===
Test-Command: RP=/usr/lib/plan9/bin; $RP/ascii

Test-Command: RP=/usr/lib/plan9/bin;
              $RP/cat debian/tests/lorem.txt |
              $RP/awk '/sed/ {print}' |
              $RP/grep '[AaEe]t ' |
              $RP/sed 's/nec/DEBIAN/g' |
              $RP/tr ' ' ','

Test-Command: RP=/usr/lib/plan9/bin;
              $RP/cat debian/tests/lorem.txt |
              $RP/sort |
              $RP/uniq

Test-Command: RP=/usr/lib/plan9/bin; $RP/basename debian/tests/lorem.txt

Test-Command: RP=/usr/lib/plan9/bin; $RP/echo 'sqrt (((2 + 2 * 5 ^ 3 % 3) + 15) / 2)' | $RP/bc

Test-Command: RP=/usr/lib/plan9/bin; $RP/cal

Test-Command: RP=/usr/lib/plan9/bin; $RP/date

Test-Command: RP=/usr/lib/plan9/bin; $RP/dd -if debian/tests/lorem.txt -conv ucase
Restrictions: allow-stderr

Test-Command: RP=/usr/lib/plan9/bin; $RP/cleanname /usr//share/./data/

Test-Command: RP=/usr/lib/plan9/bin; $RP/cmp debian/tests/file1 debian/tests/file2 2>&1 | $RP/grep differ

Test-Command: RP=/usr/lib/plan9/bin; $RP/diff debian/tests/file1 debian/tests/file2 2>&1 | $RP/grep Grape

Test-Command: RP=/usr/lib/plan9/bin; $RP/du -s debian/tests/

Test-Command: RP=/usr/lib/plan9/bin; $RP/factor 1000 | $RP/fmt -i 10

Test-Command: RP=/usr/lib/plan9/bin; $RP/fortune debian/tests/lorem.txt | $RP/sha1sum

Test-Command: RP=/usr/lib/plan9/bin; $RP/freq debian/tests/lorem.txt

Test-Command: RP=/usr/lib/plan9/bin; $RP/ls debian/tests

Test-Command: RP=/usr/lib/plan9/bin; $RP/mkdir $AUTOPKGTEST_TMP/9base; ls $AUTOPKGTEST_TMP

Test-Command: RP=/usr/lib/plan9/bin; $RP/mtime debian/tests/lorem.txt

Test-Command: RP=/usr/lib/plan9/bin; $RP/seq 1 10

Test-Command: RP=/usr/lib/plan9/bin; $RP/sleep 10; $RP/ls

Test-Command: RP=/usr/lib/plan9/bin; cp debian/tests/lorem.txt $AUTOPKGTEST_TMP;
                                     $RP/split -n 2 $AUTOPKGTEST_TMP/lorem.txt;
                                     $RP/ls $AUTOPKGTEST_TMP | tail | tee $AUTOPKGTEST_TMP/test;
                                     $RP/cat $AUTOPKGTEST_TMP/test;
                                     $RP/touch $AUTOPKGTEST_TMP/test;
                                     $RP/ls -l $AUTOPKGTEST_TMP/test

Test-Command: RP=/usr/lib/plan9/bin; $RP/strings $RP/strings | tail

Test-Command: RP=/usr/lib/plan9/bin; $RP/sleep 10; $RP/test -r debian/tests/lorem.txt

=== debian/watch ===
version=4
https://dl.suckless.org/tools/9base-(.+)\.tar\.(?:bz2|gz|xz)
